#[doc = "Register `CFG1` reader"]
pub struct R(crate::R<CFG1_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<CFG1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<CFG1_SPEC>> for R {
    fn from(reader: crate::R<CFG1_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `CFG1` writer"]
pub struct W(crate::W<CFG1_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<CFG1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<CFG1_SPEC>> for W {
    fn from(writer: crate::W<CFG1_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Datapath Permutable Input Mux\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
#[repr(u8)]
pub enum RAD2_A {
    #[doc = "0: No description available"]
    OFF = 0,
    #[doc = "1: No description available"]
    DP_IN0 = 1,
    #[doc = "2: No description available"]
    DP_IN1 = 2,
    #[doc = "3: No description available"]
    DP_IN2 = 3,
    #[doc = "4: No description available"]
    DP_IN3 = 4,
    #[doc = "5: No description available"]
    DP_IN4 = 5,
    #[doc = "6: No description available"]
    DP_IN5 = 6,
}
impl From<RAD2_A> for u8 {
    #[inline(always)]
    fn from(variant: RAD2_A) -> Self {
        variant as _
    }
}
#[doc = "Field `RAD2` reader - Datapath Permutable Input Mux"]
pub struct RAD2_R(crate::FieldReader<u8, RAD2_A>);
impl RAD2_R {
    pub(crate) fn new(bits: u8) -> Self {
        RAD2_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> RAD2_A {
        match self.bits {
            0 => RAD2_A::OFF,
            1 => RAD2_A::DP_IN0,
            2 => RAD2_A::DP_IN1,
            3 => RAD2_A::DP_IN2,
            4 => RAD2_A::DP_IN3,
            5 => RAD2_A::DP_IN4,
            6 => RAD2_A::DP_IN5,
            _ => unreachable!(),
        }
    }
    #[doc = "Checks if the value of the field is `OFF`"]
    #[inline(always)]
    pub fn is_off(&self) -> bool {
        **self == RAD2_A::OFF
    }
    #[doc = "Checks if the value of the field is `DP_IN0`"]
    #[inline(always)]
    pub fn is_dp_in0(&self) -> bool {
        **self == RAD2_A::DP_IN0
    }
    #[doc = "Checks if the value of the field is `DP_IN1`"]
    #[inline(always)]
    pub fn is_dp_in1(&self) -> bool {
        **self == RAD2_A::DP_IN1
    }
    #[doc = "Checks if the value of the field is `DP_IN2`"]
    #[inline(always)]
    pub fn is_dp_in2(&self) -> bool {
        **self == RAD2_A::DP_IN2
    }
    #[doc = "Checks if the value of the field is `DP_IN3`"]
    #[inline(always)]
    pub fn is_dp_in3(&self) -> bool {
        **self == RAD2_A::DP_IN3
    }
    #[doc = "Checks if the value of the field is `DP_IN4`"]
    #[inline(always)]
    pub fn is_dp_in4(&self) -> bool {
        **self == RAD2_A::DP_IN4
    }
    #[doc = "Checks if the value of the field is `DP_IN5`"]
    #[inline(always)]
    pub fn is_dp_in5(&self) -> bool {
        **self == RAD2_A::DP_IN5
    }
}
impl core::ops::Deref for RAD2_R {
    type Target = crate::FieldReader<u8, RAD2_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `RAD2` writer - Datapath Permutable Input Mux"]
pub struct RAD2_W<'a> {
    w: &'a mut W,
}
impl<'a> RAD2_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: RAD2_A) -> &'a mut W {
        unsafe { self.bits(variant.into()) }
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn off(self) -> &'a mut W {
        self.variant(RAD2_A::OFF)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in0(self) -> &'a mut W {
        self.variant(RAD2_A::DP_IN0)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in1(self) -> &'a mut W {
        self.variant(RAD2_A::DP_IN1)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in2(self) -> &'a mut W {
        self.variant(RAD2_A::DP_IN2)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in3(self) -> &'a mut W {
        self.variant(RAD2_A::DP_IN3)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in4(self) -> &'a mut W {
        self.variant(RAD2_A::DP_IN4)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in5(self) -> &'a mut W {
        self.variant(RAD2_A::DP_IN5)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x07) | (value as u8 & 0x07);
        self.w
    }
}
#[doc = "DP_In bypass control\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum DP_RTE_BYPASS0_A {
    #[doc = "0: No description available"]
    DP_IN0_ROUTE = 0,
    #[doc = "1: No description available"]
    DP_IN0_BYPASS = 1,
}
impl From<DP_RTE_BYPASS0_A> for bool {
    #[inline(always)]
    fn from(variant: DP_RTE_BYPASS0_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `DP_RTE_BYPASS0` reader - DP_In bypass control"]
pub struct DP_RTE_BYPASS0_R(crate::FieldReader<bool, DP_RTE_BYPASS0_A>);
impl DP_RTE_BYPASS0_R {
    pub(crate) fn new(bits: bool) -> Self {
        DP_RTE_BYPASS0_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> DP_RTE_BYPASS0_A {
        match self.bits {
            false => DP_RTE_BYPASS0_A::DP_IN0_ROUTE,
            true => DP_RTE_BYPASS0_A::DP_IN0_BYPASS,
        }
    }
    #[doc = "Checks if the value of the field is `DP_IN0_ROUTE`"]
    #[inline(always)]
    pub fn is_dp_in0_route(&self) -> bool {
        **self == DP_RTE_BYPASS0_A::DP_IN0_ROUTE
    }
    #[doc = "Checks if the value of the field is `DP_IN0_BYPASS`"]
    #[inline(always)]
    pub fn is_dp_in0_bypass(&self) -> bool {
        **self == DP_RTE_BYPASS0_A::DP_IN0_BYPASS
    }
}
impl core::ops::Deref for DP_RTE_BYPASS0_R {
    type Target = crate::FieldReader<bool, DP_RTE_BYPASS0_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `DP_RTE_BYPASS0` writer - DP_In bypass control"]
pub struct DP_RTE_BYPASS0_W<'a> {
    w: &'a mut W,
}
impl<'a> DP_RTE_BYPASS0_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: DP_RTE_BYPASS0_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in0_route(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS0_A::DP_IN0_ROUTE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in0_bypass(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS0_A::DP_IN0_BYPASS)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 3)) | ((value as u8 & 0x01) << 3);
        self.w
    }
}
#[doc = "DP_In bypass control\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum DP_RTE_BYPASS1_A {
    #[doc = "0: No description available"]
    DP_IN1_ROUTE = 0,
    #[doc = "1: No description available"]
    DP_IN1_BYPASS = 1,
}
impl From<DP_RTE_BYPASS1_A> for bool {
    #[inline(always)]
    fn from(variant: DP_RTE_BYPASS1_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `DP_RTE_BYPASS1` reader - DP_In bypass control"]
pub struct DP_RTE_BYPASS1_R(crate::FieldReader<bool, DP_RTE_BYPASS1_A>);
impl DP_RTE_BYPASS1_R {
    pub(crate) fn new(bits: bool) -> Self {
        DP_RTE_BYPASS1_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> DP_RTE_BYPASS1_A {
        match self.bits {
            false => DP_RTE_BYPASS1_A::DP_IN1_ROUTE,
            true => DP_RTE_BYPASS1_A::DP_IN1_BYPASS,
        }
    }
    #[doc = "Checks if the value of the field is `DP_IN1_ROUTE`"]
    #[inline(always)]
    pub fn is_dp_in1_route(&self) -> bool {
        **self == DP_RTE_BYPASS1_A::DP_IN1_ROUTE
    }
    #[doc = "Checks if the value of the field is `DP_IN1_BYPASS`"]
    #[inline(always)]
    pub fn is_dp_in1_bypass(&self) -> bool {
        **self == DP_RTE_BYPASS1_A::DP_IN1_BYPASS
    }
}
impl core::ops::Deref for DP_RTE_BYPASS1_R {
    type Target = crate::FieldReader<bool, DP_RTE_BYPASS1_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `DP_RTE_BYPASS1` writer - DP_In bypass control"]
pub struct DP_RTE_BYPASS1_W<'a> {
    w: &'a mut W,
}
impl<'a> DP_RTE_BYPASS1_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: DP_RTE_BYPASS1_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in1_route(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS1_A::DP_IN1_ROUTE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in1_bypass(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS1_A::DP_IN1_BYPASS)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 4)) | ((value as u8 & 0x01) << 4);
        self.w
    }
}
#[doc = "DP_In bypass control\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum DP_RTE_BYPASS2_A {
    #[doc = "0: No description available"]
    DP_IN2_ROUTE = 0,
    #[doc = "1: No description available"]
    DP_IN2_BYPASS = 1,
}
impl From<DP_RTE_BYPASS2_A> for bool {
    #[inline(always)]
    fn from(variant: DP_RTE_BYPASS2_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `DP_RTE_BYPASS2` reader - DP_In bypass control"]
pub struct DP_RTE_BYPASS2_R(crate::FieldReader<bool, DP_RTE_BYPASS2_A>);
impl DP_RTE_BYPASS2_R {
    pub(crate) fn new(bits: bool) -> Self {
        DP_RTE_BYPASS2_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> DP_RTE_BYPASS2_A {
        match self.bits {
            false => DP_RTE_BYPASS2_A::DP_IN2_ROUTE,
            true => DP_RTE_BYPASS2_A::DP_IN2_BYPASS,
        }
    }
    #[doc = "Checks if the value of the field is `DP_IN2_ROUTE`"]
    #[inline(always)]
    pub fn is_dp_in2_route(&self) -> bool {
        **self == DP_RTE_BYPASS2_A::DP_IN2_ROUTE
    }
    #[doc = "Checks if the value of the field is `DP_IN2_BYPASS`"]
    #[inline(always)]
    pub fn is_dp_in2_bypass(&self) -> bool {
        **self == DP_RTE_BYPASS2_A::DP_IN2_BYPASS
    }
}
impl core::ops::Deref for DP_RTE_BYPASS2_R {
    type Target = crate::FieldReader<bool, DP_RTE_BYPASS2_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `DP_RTE_BYPASS2` writer - DP_In bypass control"]
pub struct DP_RTE_BYPASS2_W<'a> {
    w: &'a mut W,
}
impl<'a> DP_RTE_BYPASS2_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: DP_RTE_BYPASS2_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in2_route(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS2_A::DP_IN2_ROUTE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in2_bypass(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS2_A::DP_IN2_BYPASS)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 5)) | ((value as u8 & 0x01) << 5);
        self.w
    }
}
#[doc = "DP_In bypass control\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum DP_RTE_BYPASS3_A {
    #[doc = "0: No description available"]
    DP_IN3_ROUTE = 0,
    #[doc = "1: No description available"]
    DP_IN3_BYPASS = 1,
}
impl From<DP_RTE_BYPASS3_A> for bool {
    #[inline(always)]
    fn from(variant: DP_RTE_BYPASS3_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `DP_RTE_BYPASS3` reader - DP_In bypass control"]
pub struct DP_RTE_BYPASS3_R(crate::FieldReader<bool, DP_RTE_BYPASS3_A>);
impl DP_RTE_BYPASS3_R {
    pub(crate) fn new(bits: bool) -> Self {
        DP_RTE_BYPASS3_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> DP_RTE_BYPASS3_A {
        match self.bits {
            false => DP_RTE_BYPASS3_A::DP_IN3_ROUTE,
            true => DP_RTE_BYPASS3_A::DP_IN3_BYPASS,
        }
    }
    #[doc = "Checks if the value of the field is `DP_IN3_ROUTE`"]
    #[inline(always)]
    pub fn is_dp_in3_route(&self) -> bool {
        **self == DP_RTE_BYPASS3_A::DP_IN3_ROUTE
    }
    #[doc = "Checks if the value of the field is `DP_IN3_BYPASS`"]
    #[inline(always)]
    pub fn is_dp_in3_bypass(&self) -> bool {
        **self == DP_RTE_BYPASS3_A::DP_IN3_BYPASS
    }
}
impl core::ops::Deref for DP_RTE_BYPASS3_R {
    type Target = crate::FieldReader<bool, DP_RTE_BYPASS3_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `DP_RTE_BYPASS3` writer - DP_In bypass control"]
pub struct DP_RTE_BYPASS3_W<'a> {
    w: &'a mut W,
}
impl<'a> DP_RTE_BYPASS3_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: DP_RTE_BYPASS3_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in3_route(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS3_A::DP_IN3_ROUTE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in3_bypass(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS3_A::DP_IN3_BYPASS)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 6)) | ((value as u8 & 0x01) << 6);
        self.w
    }
}
#[doc = "DP_In bypass control\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum DP_RTE_BYPASS4_A {
    #[doc = "0: No description available"]
    DP_IN4_ROUTE = 0,
    #[doc = "1: No description available"]
    DP_IN4_BYPASS = 1,
}
impl From<DP_RTE_BYPASS4_A> for bool {
    #[inline(always)]
    fn from(variant: DP_RTE_BYPASS4_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `DP_RTE_BYPASS4` reader - DP_In bypass control"]
pub struct DP_RTE_BYPASS4_R(crate::FieldReader<bool, DP_RTE_BYPASS4_A>);
impl DP_RTE_BYPASS4_R {
    pub(crate) fn new(bits: bool) -> Self {
        DP_RTE_BYPASS4_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> DP_RTE_BYPASS4_A {
        match self.bits {
            false => DP_RTE_BYPASS4_A::DP_IN4_ROUTE,
            true => DP_RTE_BYPASS4_A::DP_IN4_BYPASS,
        }
    }
    #[doc = "Checks if the value of the field is `DP_IN4_ROUTE`"]
    #[inline(always)]
    pub fn is_dp_in4_route(&self) -> bool {
        **self == DP_RTE_BYPASS4_A::DP_IN4_ROUTE
    }
    #[doc = "Checks if the value of the field is `DP_IN4_BYPASS`"]
    #[inline(always)]
    pub fn is_dp_in4_bypass(&self) -> bool {
        **self == DP_RTE_BYPASS4_A::DP_IN4_BYPASS
    }
}
impl core::ops::Deref for DP_RTE_BYPASS4_R {
    type Target = crate::FieldReader<bool, DP_RTE_BYPASS4_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `DP_RTE_BYPASS4` writer - DP_In bypass control"]
pub struct DP_RTE_BYPASS4_W<'a> {
    w: &'a mut W,
}
impl<'a> DP_RTE_BYPASS4_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: DP_RTE_BYPASS4_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in4_route(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS4_A::DP_IN4_ROUTE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn dp_in4_bypass(self) -> &'a mut W {
        self.variant(DP_RTE_BYPASS4_A::DP_IN4_BYPASS)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 7)) | ((value as u8 & 0x01) << 7);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:2 - Datapath Permutable Input Mux"]
    #[inline(always)]
    pub fn rad2(&self) -> RAD2_R {
        RAD2_R::new((self.bits & 0x07) as u8)
    }
    #[doc = "Bit 3 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass0(&self) -> DP_RTE_BYPASS0_R {
        DP_RTE_BYPASS0_R::new(((self.bits >> 3) & 0x01) != 0)
    }
    #[doc = "Bit 4 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass1(&self) -> DP_RTE_BYPASS1_R {
        DP_RTE_BYPASS1_R::new(((self.bits >> 4) & 0x01) != 0)
    }
    #[doc = "Bit 5 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass2(&self) -> DP_RTE_BYPASS2_R {
        DP_RTE_BYPASS2_R::new(((self.bits >> 5) & 0x01) != 0)
    }
    #[doc = "Bit 6 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass3(&self) -> DP_RTE_BYPASS3_R {
        DP_RTE_BYPASS3_R::new(((self.bits >> 6) & 0x01) != 0)
    }
    #[doc = "Bit 7 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass4(&self) -> DP_RTE_BYPASS4_R {
        DP_RTE_BYPASS4_R::new(((self.bits >> 7) & 0x01) != 0)
    }
}
impl W {
    #[doc = "Bits 0:2 - Datapath Permutable Input Mux"]
    #[inline(always)]
    pub fn rad2(&mut self) -> RAD2_W {
        RAD2_W { w: self }
    }
    #[doc = "Bit 3 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass0(&mut self) -> DP_RTE_BYPASS0_W {
        DP_RTE_BYPASS0_W { w: self }
    }
    #[doc = "Bit 4 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass1(&mut self) -> DP_RTE_BYPASS1_W {
        DP_RTE_BYPASS1_W { w: self }
    }
    #[doc = "Bit 5 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass2(&mut self) -> DP_RTE_BYPASS2_W {
        DP_RTE_BYPASS2_W { w: self }
    }
    #[doc = "Bit 6 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass3(&mut self) -> DP_RTE_BYPASS3_W {
        DP_RTE_BYPASS3_W { w: self }
    }
    #[doc = "Bit 7 - DP_In bypass control"]
    #[inline(always)]
    pub fn dp_rte_bypass4(&mut self) -> DP_RTE_BYPASS4_W {
        DP_RTE_BYPASS4_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "Datapath Input Selection - RAD2. Address bit 2 to the dynamic configuration RAM\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [cfg1](index.html) module"]
pub struct CFG1_SPEC;
impl crate::RegisterSpec for CFG1_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [cfg1::R](R) reader structure"]
impl crate::Readable for CFG1_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [cfg1::W](W) writer structure"]
impl crate::Writable for CFG1_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets CFG1 to value 0"]
impl crate::Resettable for CFG1_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
